﻿2026-06-04T00:09:25.9392845Z ##[group]Run dtolnay/rust-toolchain@stable
2026-06-04T00:09:25.9393523Z with:
2026-06-04T00:09:25.9393955Z   components: clippy
2026-06-04T00:09:25.9394294Z   toolchain: stable
2026-06-04T00:09:25.9394607Z ##[endgroup]
2026-06-04T00:09:25.9768665Z ##[group]Run : parse toolchain version
2026-06-04T00:09:25.9769141Z [36;1m: parse toolchain version[0m
2026-06-04T00:09:25.9769454Z [36;1mif [[ -z $toolchain ]]; then[0m
2026-06-04T00:09:25.9770056Z [36;1m  # GitHub does not enforce `required: true` inputs itself. https://github.com/actions/runner/issues/1070[0m
2026-06-04T00:09:25.9770609Z [36;1m  echo "'toolchain' is a required input" >&2[0m
2026-06-04T00:09:25.9770905Z [36;1m  exit 1[0m
2026-06-04T00:09:25.9771234Z [36;1melif [[ $toolchain =~ ^stable' '[0-9]+' '(year|month|week|day)s?' 'ago$ ]]; then[0m
2026-06-04T00:09:25.9772762Z [36;1m  if [[ Windows == macOS ]]; then[0m
2026-06-04T00:09:25.9773315Z [36;1m    echo "toolchain=1.$((($(date -v-$(sed 's/stable \([0-9]*\) \(.\).*/\1\2/' <<< $toolchain) +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-04T00:09:25.9773872Z [36;1m  else[0m
2026-06-04T00:09:25.9774261Z [36;1m    echo "toolchain=1.$((($(date --date "${toolchain#stable }" +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-04T00:09:25.9774700Z [36;1m  fi[0m
2026-06-04T00:09:25.9774998Z [36;1melif [[ $toolchain =~ ^stable' 'minus' '[0-9]+' 'releases?$ ]]; then[0m
2026-06-04T00:09:25.9775511Z [36;1m  echo "toolchain=1.$((($(date +%s)/60/60/24-16569)/7/6-${toolchain//[^0-9]/}))" >> $GITHUB_OUTPUT[0m
2026-06-04T00:09:25.9775950Z [36;1melif [[ $toolchain =~ ^1\.[0-9]+$ ]]; then[0m
2026-06-04T00:09:25.9776445Z [36;1m  echo "toolchain=1.$((i=${toolchain#1.}, c=($(date +%s)/60/60/24-16569)/7/6, i+9*i*(10*i<=c)+90*i*(100*i<=c)))" >> $GITHUB_OUTPUT[0m
2026-06-04T00:09:25.9776922Z [36;1melse[0m
2026-06-04T00:09:25.9777166Z [36;1m  echo "toolchain=$toolchain" >> $GITHUB_OUTPUT[0m
2026-06-04T00:09:25.9777463Z [36;1mfi[0m
2026-06-04T00:09:25.9796519Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:25.9797204Z env:
2026-06-04T00:09:25.9797486Z   toolchain: stable
2026-06-04T00:09:25.9797790Z ##[endgroup]
2026-06-04T00:09:26.1416159Z ##[group]Run : construct rustup command line
2026-06-04T00:09:26.1416566Z [36;1m: construct rustup command line[0m
2026-06-04T00:09:26.1417029Z [36;1mecho "targets=$(for t in ${targets//,/ }; do echo -n ' --target' $t; done)" >> $GITHUB_OUTPUT[0m
2026-06-04T00:09:26.1417662Z [36;1mecho "components=$(for c in ${components//,/ }; do echo -n ' --component' $c; done)" >> $GITHUB_OUTPUT[0m
2026-06-04T00:09:26.1418130Z [36;1mecho "downgrade=" >> $GITHUB_OUTPUT[0m
2026-06-04T00:09:26.1430591Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:26.1431054Z env:
2026-06-04T00:09:26.1431239Z   targets: 
2026-06-04T00:09:26.1431431Z   components: clippy
2026-06-04T00:09:26.1431643Z ##[endgroup]
2026-06-04T00:09:26.2378617Z ##[group]Run : set $CARGO_HOME
2026-06-04T00:09:26.2379131Z [36;1m: set $CARGO_HOME[0m
2026-06-04T00:09:26.2379674Z [36;1mecho CARGO_HOME=${CARGO_HOME:-"$USERPROFILE\.cargo"} >> $GITHUB_ENV[0m
2026-06-04T00:09:26.2394802Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:26.2395486Z ##[endgroup]
2026-06-04T00:09:26.3042160Z ##[group]Run : install rustup if needed on windows
2026-06-04T00:09:26.3042580Z [36;1m: install rustup if needed on windows[0m
2026-06-04T00:09:26.3042920Z [36;1mif ! command -v rustup &>/dev/null; then[0m
2026-06-04T00:09:26.3043695Z [36;1m  curl --proto '=https' --tlsv1.2 --retry 10 --retry-connrefused --location --silent --show-error --fail https://win.rustup.rs/x86_64 --output 'D:\a\_temp\rustup-init.exe'[0m
2026-06-04T00:09:26.3044524Z [36;1m  'D:\a\_temp\rustup-init.exe' --default-toolchain none --no-modify-path -y[0m
2026-06-04T00:09:26.3044973Z [36;1m  echo "$CARGO_HOME\bin" >> $GITHUB_PATH[0m
2026-06-04T00:09:26.3047617Z [36;1mfi[0m
2026-06-04T00:09:26.3059085Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:26.3059508Z env:
2026-06-04T00:09:26.3059723Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-04T00:09:26.3059998Z ##[endgroup]
2026-06-04T00:09:26.3875896Z ##[group]Run rustup toolchain install stable --component clippy --profile minimal --no-self-update
2026-06-04T00:09:26.3876601Z [36;1mrustup toolchain install stable --component clippy --profile minimal --no-self-update[0m
2026-06-04T00:09:26.3890455Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:26.3890883Z env:
2026-06-04T00:09:26.3891101Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-04T00:09:26.3891378Z   RUSTUP_PERMIT_COPY_RENAME: 1
2026-06-04T00:09:26.3891818Z ##[endgroup]
2026-06-04T00:09:32.7067032Z info: syncing channel updates for stable-x86_64-pc-windows-msvc
2026-06-04T00:09:33.7323846Z info: latest update on 2026-05-28 for version 1.96.0 (ac68faa20 2026-05-25)
2026-06-04T00:09:34.4504135Z info: removing previous version of component clippy
2026-06-04T00:09:34.9662348Z info: removing previous version of component rustfmt
2026-06-04T00:09:34.9663161Z info: removing previous version of component rust-std for target x86_64-pc-windows-gnu
2026-06-04T00:09:34.9664054Z info: removing previous version of component rust-std for target i686-pc-windows-msvc
2026-06-04T00:09:34.9664798Z info: removing previous version of component cargo
2026-06-04T00:09:34.9665357Z info: removing previous version of component rust-std
2026-06-04T00:09:34.9665904Z info: removing previous version of component rustc
2026-06-04T00:09:34.9666397Z info: downloading 7 components
2026-06-04T00:09:52.2309659Z 
2026-06-04T00:09:52.2895780Z   stable-x86_64-pc-windows-msvc updated - rustc 1.96.0 (ac68faa20 2026-05-25) (from rustc 1.95.0 (59807616e 2026-04-14))
2026-06-04T00:09:52.2896875Z 
2026-06-04T00:09:52.3509702Z ##[group]Run rustup default stable
2026-06-04T00:09:52.3510210Z [36;1mrustup default stable[0m
2026-06-04T00:09:52.3526914Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:52.3527564Z env:
2026-06-04T00:09:52.3527875Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-04T00:09:52.3528308Z ##[endgroup]
2026-06-04T00:09:52.5074003Z info: using existing install for stable-x86_64-pc-windows-msvc
2026-06-04T00:09:52.5266394Z info: default toolchain set to stable-x86_64-pc-windows-msvc
2026-06-04T00:09:52.5266924Z 
2026-06-04T00:09:52.5652067Z   stable-x86_64-pc-windows-msvc unchanged - rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-04T00:09:52.5686804Z 
2026-06-04T00:09:52.6308431Z ##[group]Run : create cachekey
2026-06-04T00:09:52.6308892Z [36;1m: create cachekey[0m
2026-06-04T00:09:52.6309648Z [36;1mDATE=$(rustc +stable --version --verbose | sed -ne 's/^commit-date: \(20[0-9][0-9]\)-\([01][0-9]\)-\([0-3][0-9]\)$/\1\2\3/p')[0m
2026-06-04T00:09:52.6310688Z [36;1mHASH=$(rustc +stable --version --verbose | sed -ne 's/^commit-hash: //p')[0m
2026-06-04T00:09:52.6311505Z [36;1mecho "cachekey=$(echo $DATE$HASH | head -c12)" >> $GITHUB_OUTPUT[0m
2026-06-04T00:09:52.6327530Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:52.6328143Z env:
2026-06-04T00:09:52.6328449Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-04T00:09:52.6328855Z ##[endgroup]
2026-06-04T00:09:54.1164788Z ##[group]Run : disable incremental compilation
2026-06-04T00:09:54.1165328Z [36;1m: disable incremental compilation[0m
2026-06-04T00:09:54.1166097Z [36;1mif [ -z "${CARGO_INCREMENTAL+set}" ]; then[0m
2026-06-04T00:09:54.1166641Z [36;1m  echo CARGO_INCREMENTAL=0 >> $GITHUB_ENV[0m
2026-06-04T00:09:54.1167070Z [36;1mfi[0m
2026-06-04T00:09:54.1186527Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:54.1187198Z env:
2026-06-04T00:09:54.1187507Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-04T00:09:54.1187911Z ##[endgroup]
2026-06-04T00:09:54.1956098Z ##[group]Run : enable colors in Cargo output
2026-06-04T00:09:54.1956638Z [36;1m: enable colors in Cargo output[0m
2026-06-04T00:09:54.1957131Z [36;1mif [ -z "${CARGO_TERM_COLOR+set}" ]; then[0m
2026-06-04T00:09:54.1957677Z [36;1m  echo CARGO_TERM_COLOR=always >> $GITHUB_ENV[0m
2026-06-04T00:09:54.1958156Z [36;1mfi[0m
2026-06-04T00:09:54.1975442Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:54.1976113Z env:
2026-06-04T00:09:54.1976435Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-04T00:09:54.1976869Z   CARGO_INCREMENTAL: 0
2026-06-04T00:09:54.1977193Z ##[endgroup]
2026-06-04T00:09:54.2665600Z ##[group]Run : enable Cargo sparse registry
2026-06-04T00:09:54.2666154Z [36;1m: enable Cargo sparse registry[0m
2026-06-04T00:09:54.2666970Z [36;1m# implemented in 1.66, stabilized in 1.68, made default in 1.70[0m
2026-06-04T00:09:54.2668076Z [36;1mif [ -z "${CARGO_REGISTRIES_CRATES_IO_PROTOCOL+set}" -o -f "D:\a\_temp"/.implicit_cargo_registries_crates_io_protocol ]; then[0m
2026-06-04T00:09:54.2669213Z [36;1m  if rustc +stable --version --verbose | grep -q '^release: 1\.6[89]\.'; then[0m
2026-06-04T00:09:54.2670053Z [36;1m    touch "D:\a\_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-04T00:09:54.2670877Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=sparse >> $GITHUB_ENV[0m
2026-06-04T00:09:54.2671692Z [36;1m  elif rustc +stable --version --verbose | grep -q '^release: 1\.6[67]\.'; then[0m
2026-06-04T00:09:54.2672506Z [36;1m    touch "D:\a\_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-04T00:09:54.2673259Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=git >> $GITHUB_ENV[0m
2026-06-04T00:09:54.2673823Z [36;1m  fi[0m
2026-06-04T00:09:54.2674132Z [36;1mfi[0m
2026-06-04T00:09:54.2690643Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:54.2691294Z env:
2026-06-04T00:09:54.2691626Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-04T00:09:54.2692062Z   CARGO_INCREMENTAL: 0
2026-06-04T00:09:54.2692402Z   CARGO_TERM_COLOR: always
2026-06-04T00:09:54.2692742Z ##[endgroup]
2026-06-04T00:09:54.5337479Z ##[group]Run : work around spurious network errors in curl 8.0
2026-06-04T00:09:54.5338191Z [36;1m: work around spurious network errors in curl 8.0[0m
2026-06-04T00:09:54.5339011Z [36;1m# https://rust-lang.zulipchat.com/#narrow/stream/246057-t-cargo/topic/timeout.20investigation[0m
2026-06-04T00:09:54.5340008Z [36;1mif rustc +stable --version --verbose | grep -q '^release: 1\.7[01]\.'; then[0m
2026-06-04T00:09:54.5340754Z [36;1m  echo CARGO_HTTP_MULTIPLEXING=false >> $GITHUB_ENV[0m
2026-06-04T00:09:54.5341218Z [36;1mfi[0m
2026-06-04T00:09:54.5357805Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:54.5358471Z env:
2026-06-04T00:09:54.5358790Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-04T00:09:54.5359207Z   CARGO_INCREMENTAL: 0
2026-06-04T00:09:54.5359575Z   CARGO_TERM_COLOR: always
2026-06-04T00:09:54.5359920Z ##[endgroup]
2026-06-04T00:09:54.6899962Z ##[group]Run rustc +stable --version --verbose
2026-06-04T00:09:54.6900503Z [36;1mrustc +stable --version --verbose[0m
2026-06-04T00:09:54.6917502Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:54.6918122Z env:
2026-06-04T00:09:54.6918423Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-04T00:09:54.6918852Z   CARGO_INCREMENTAL: 0
2026-06-04T00:09:54.6919187Z   CARGO_TERM_COLOR: always
2026-06-04T00:09:54.6919528Z ##[endgroup]
2026-06-04T00:09:54.8056922Z rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-04T00:09:54.8063150Z binary: rustc
2026-06-04T00:09:54.8066840Z commit-hash: ac68faa20c58cbccd01ee7208bf3b6e93a7d7f96
2026-06-04T00:09:54.8068184Z commit-date: 2026-05-25
2026-06-04T00:09:54.8071007Z host: x86_64-pc-windows-msvc
2026-06-04T00:09:54.8071563Z release: 1.96.0
2026-06-04T00:09:54.8072329Z LLVM version: 22.1.2
